# Class RedirectTypeMoveAbAttr

#### Hierarchy (view full)

- RedirectMoveAbAttr
  - RedirectTypeMoveAbAttr

- Defined in src/data/ability.ts:3137

#####
Index

### Constructors

constructor

### Properties

showAbility
type

### Methods

addCondition
apply
canRedirect
getCondition
getTriggerMessage

## Constructors

### constructor

- new RedirectTypeMoveAbAttr(type): RedirectTypeMoveAbAttr

- #### Parameters

  - type: Type

  #### Returns RedirectTypeMoveAbAttr

  Overrides RedirectMoveAbAttr.constructor

  - Defined in src/data/ability.ts:3140

## Properties

### showAbility

showAbility: boolean

Inherited from RedirectMoveAbAttr.showAbility

- Defined in src/data/ability.ts:126

### type

type: Type

- Defined in src/data/ability.ts:3138

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from RedirectMoveAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Inherited from RedirectMoveAbAttr.apply

  - Defined in src/data/ability.ts:3118

### canRedirect

- canRedirect(moveId): boolean

- #### Parameters

  - moveId: Moves

  #### Returns boolean

  Overrides RedirectMoveAbAttr.canRedirect

  - Defined in src/data/ability.ts:3145

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from RedirectMoveAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from RedirectMoveAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137